@extends($sc_templatePath.'.layout')

@section('block_main')

<style>
.mnfm {
    background: #f9faf9;
    padding: 20px;
    box-shadow: -1px 0px 3px #7d7d7d;
}
.mnimg{padding:0;}
</style>

<!--form-->
<section class="section section-sm section-first bg-default text-md-left">
    <div class="container">
    <div class="row">
        
          
              <div class="col-12 text-center">
                <h2>{{ trans('account.title_login') }}</h2>
              <br />
              </div>
      
           
            <div class="col-6 mnfm">
            <form action="{{ sc_route('postLogin') }}" method="post" class="box">
                {!! csrf_field() !!}
                <div class="form-group{{ $errors->has('login_email') ? ' has-error' : '' }}">
                    <label for="email" class="control-label">{{ trans('account.email') }}</label>
                    <input class="is_required validate account_input form-control {{ ($errors->has('email'))?"input-error":"" }}"
                        type="text" name="email" value="{{ old('email') }}">
                    @if ($errors->has('email'))
                    <span class="help-block">
                        {{ $errors->first('email') }}
                    </span>
                    @endif
                </div>
                <div class="form-group{{ $errors->has('password') ? ' has-error' : '' }}">
                    <label for="password" class="control-label">{{ trans('account.password') }}</label>
                    <input class="is_required validate account_input form-control {{ ($errors->has('password'))?"input-error":"" }}"
                        type="password" name="password" value="">
                    @if ($errors->has('password'))
                    <span class="help-block">
                        {{ $errors->first('password') }}
                    </span>
                    @endif
            
                </div>
                <p class="lost_password form-group">
                    <a class="btn btn-link" href="{{ sc_route('forgot') }}">
                        {{ trans('account.password_forgot') }}
                    </a>
                    <br>
                    <a class="btn btn-link" href="{{ sc_route('register') }}">
                        {{ trans('account.title_register') }}
                    </a>
                </p>
                <button type="submit" name="SubmitLogin" class="button button-lg button-secondary">{{ trans('account.login') }}</button>
            </form>
            </div>
            
              <div class="col-6 mnimg">
              <img src="https://www.rentnhop.com/shopping/public/images/login-image.jpeg" class="img-responsive" />
              </div>
            
            
       
            
     
    </div>
</div>
</section>
<!--/form-->
@endsection

{{-- breadcrumb --}}
@section('breadcrumb')
<section class="breadcrumbs-custom">
    <div class="breadcrumbs-custom-footer">
        <div class="container">
          <ul class="breadcrumbs-custom-path">
            <li><a href="{{ sc_route('home') }}">{{ trans('front.home') }}</a></li>
            <li class="active">{{ $title ?? '' }}</li>
          </ul>
        </div>
    </div>
</section>
@endsection
{{-- //breadcrumb --}}
